For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Product
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • GETGet Taxonomy Parent by Id
      • GETGet Taxonomies
      • POSTUsed to Create a new Channel Metadata Entry for a given Variant
      • GETGet Packaging Requirement
      • GETGet Taxonomy by Id
LogoLogo
API ReferenceProducts

Get Packaging Requirement

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2.0/packaging-requirement
GET
/2.0/packaging-requirement
$curl https://sandbox-api.shipbob.com/2.0/packaging-requirement \
> -H "Authorization: Bearer <token>"
200default
1[
2 {
3 "applicable_categories": [
4 {
5 "id": 0,
6 "sub_category_ids": [
7 0
8 ]
9 }
10 ],
11 "applicable_packaging_material_types": [
12 {
13 "id": 0,
14 "name": "string"
15 }
16 ],
17 "description": "string",
18 "id": 0,
19 "name": "string"
20 }
21]
Was this page helpful?
Previous

Used to Create a new Channel Metadata Entry for a given Variant

Next

Get Taxonomy by Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
applicable_categorieslist of objects
applicable_packaging_material_typeslist of objects
descriptionstring
idinteger
namestring